SRC/slargv.f(3)

NAME
SRC/slargv.f

SYNOPSIS

  Functions/Subroutines
subroutine slargv (n, x, incx, y, incy, c, incc)
SLARGV generates a vector of plane rotations with real cosines and real sines.

Function/Subroutine Documentation

  subroutine slargv (integer n, real, dimension( * ) x, integer incx, real, dimension( * ) y, integer incy, real, dimension( * ) c, integer incc)

SLARGV generates a vector of plane rotations with real cosines and real sines.

Purpose:

    !>
    !> SLARGV generates a vector of real plane rotations, determined by
    !> elements of the real vectors x and y. For i = 1,2,...,n
    !>
    !>    (  c(i)  s(i) ) ( x(i) ) = ( a(i) )
    !>    ( -s(i)  c(i) ) ( y(i) ) = (   0  )
    !>

Parameters
    N

    !>          N is INTEGER
    !>          The number of plane rotations to be generated.
    !>

    X

    !>          X is REAL array,
    !>                         dimension (1+(N-1)*INCX)
    !>          On entry, the vector x.
    !>          On exit, x(i) is overwritten by a(i), for i = 1,...,n.
    !>

    INCX

    !>          INCX is INTEGER
    !>          The increment between elements of X. INCX > 0.
    !>

    Y

    !>          Y is REAL array,
    !>                         dimension (1+(N-1)*INCY)
    !>          On entry, the vector y.
    !>          On exit, the sines of the plane rotations.
    !>

    INCY

    !>          INCY is INTEGER
    !>          The increment between elements of Y. INCY > 0.
    !>

    C

    !>          C is REAL array, dimension (1+(N-1)*INCC)
    !>          The cosines of the plane rotations.
    !>

    INCC

    !>          INCC is INTEGER
    !>          The increment between elements of C. INCC > 0.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 103 of file slargv.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.